Subject: Re: [PATCH V2 3/5] vDPA: introduce vDPA bus

From: Jason Wang <[email-masked]>
Date: Wed, 19 Feb 2020 13:35:25 +0800

On 2020/2/18 下午9:56, Jason Gunthorpe wrote:
> On Mon, Feb 17, 2020 at 02:08:03PM +0800, Jason Wang wrote:
>
>> I thought you were copied in the patch [1], maybe we can move vhost related
>> discussion there to avoid confusion.
>>
>> [1] https://lwn.net/Articles/811210/
> Wow, that is .. confusing.
>
> So this is supposed to duplicate the uAPI of vhost-user?

It tries to reuse the uAPI of vhost with some extension.

> But it is
> open coded and duplicated because .. vdpa?

I'm not sure I get here, vhost module is reused for vhost-vdpa and all 
current vhost device (e.g net) uses their own char device.

>
>> So it's cheaper and simpler to introduce a new bus instead of refactoring a
>> well known bus and API where brunches of drivers and devices had been
>> implemented for years.
> If you reason for this approach is to ease the implementation then you
> should talk about it in the cover letters/etc

I will add more rationale in both cover letter and this patch.

Thanks

>
> Maybe it is reasonable to do this because the rework is too great, I
> don't know, but to me this whole thing looks rather messy.
>
> Remember this stuff is all uAPI as it shows up in sysfs, so you can
> easilly get stuck with it forever.
>
> Jason
>